# Gets the survey for a completed standard order

Only standard orders with a single showtime are applicable for a survey.
A survey that has been completed will return a `200` response, where survey IsCompleted equals true.
#### Licenses Required
- Vista.Surveys

Endpoint: GET /ocapi/v1/orders/completed/{orderId}/survey
Version: V1

## Description:

  - `Licenses Required` ()
    Vista.Surveys

## Path parameters:

  - `orderId` (string, required)
    The unique identifier of the completed standard order

## Header parameters:

  - `Connect-Region-Code` (string)
    Region Code

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `survey` (object, required)
    Gets the survey entity

  - `survey.expiresAt` (string, required)
    Gets the date and time that the survey is set to expire

  - `survey.pages` (array, required)
    Gets the list of survey page entities, sorted by survey page Number

  - `survey.pages.number` (integer, required)
    Gets the number that can be used to uniquely identify the page within the survey

  - `survey.pages.questions` (array, required)
    Gets the list of survey question base entities, sorted by survey question base Number

  - `survey.pages.questions.id` (string, required)
    Gets the identifier that can be used to uniquely identify the question within the survey

  - `survey.pages.questions.number` (integer, required)
    Gets the number that can be used to uniquely identify the question within the survey page

  - `survey.pages.questions.title` (object, required)
    Gets the title text, and its translations

  - `survey.pages.questions.title.text` (string, required)
    Gets the text in the default language

  - `survey.pages.questions.title.translations` (array, required)
    Gets the translations of the translatable Text in other languages

  - `survey.pages.questions.title.translations.languageTag` (string, required)
    Gets the IETF (RFC 4646) language tag that the translation Text has been translated for
    Example: en-US

  - `survey.pages.questions.title.translations.text` (string, required)
    Gets the translated text

  - `survey.pages.questions.isRequired` (boolean, required)
    Gets a value indicating whether a response is required

  - `survey.pages.questions.type` (string, required)
    Gets the type
    Enum: "RatingScale", "Text", "YesNoUnsure"

  - `survey.pages.questions.displayType` (string, required)
    Gets the display type
    Enum: "Stars", "Numbers"

  - `survey.pages.questions.range` (object, required)
    Gets the range

  - `survey.pages.questions.range.minimum` (number, required)
    Gets the minimum value

  - `survey.pages.questions.range.maximum` (number, required)
    Gets the maximum value

  - `survey.pages.questions.range.step` (number, required)
    Gets the step value

  - `survey.pages.questions.range.minimumLabel` (object)
    Gets the label for the rating scale survey question range Minimum value, and its translations, if applicable

  - `survey.pages.questions.range.maximumLabel` (object)
    Gets the label for the rating scale survey question range Maximum value, and its translations, if applicable

  - `survey.pages.questions.notApplicableOptionField` (object)
    Gets the survey question not applicable option field entity, if applicable

  - `survey.pages.questions.notApplicableOptionField.label` (object, required)
    Gets the label text, and its translations

  - `survey.pages.questions.commentField` (object)
    Gets the survey question comment field entity, if applicable

  - `survey.pages.questions.commentField.label` (object, required)
    Gets the label text, and its translations

  - `survey.pages.questions.commentField.minimumLength` (integer, required)
    Gets the minimum comment length

  - `survey.pages.questions.commentField.maximumLength` (integer, required)
    Gets the maximum comment length

  - `survey.pages.questions.filmId` (string, required)
    Gets the unique identifier of the film

  - `survey.pages.questions.yesOptionLabel` (object, required)
    Gets the label for the "Yes" option

  - `survey.pages.questions.noOptionLabel` (object, required)
    Gets the label for the "No" option

  - `survey.pages.questions.unsureOptionLabel` (object, required)
    Gets the label for the "Unsure" option

  - `survey.pages.questions.format` (object, required)
    Gets the format

  - `survey.pages.questions.format.isMultiline` (boolean, required)
    Gets a value indicating whether the response input should be displayed as multiline

  - `survey.pages.questions.format.minimumLength` (integer, required)
    Gets the minimum response length

  - `survey.pages.questions.format.maximumLength` (integer, required)
    Gets the maximum response length

  - `survey.pages.title` (object)
    Represents some customer-visible translatable Text in the default language, and a list of translation entities

  - `survey.title` (object, required)
    Gets the title text, and its translations

  - `survey.responses` (array, required)
    Gets the list of existing survey question response base entities

  - `survey.responses.questionId` (string, required)
    Gets the unique identifier of the survey question base

  - `survey.responses.type` (string, required)
    Gets the question type
    Enum: "RatingScale", "Text", "YesNoUnsure"

  - `survey.responses.response` (number)
    Gets the response, if applicable

  - `survey.responses.isNotApplicableOptionSelected` (boolean)
    Gets a value indicating whether the "not applicable" option was selected by the patron, if applicable

  - `survey.responses.comment` (string)
    Gets the comment, if applicable

  - `survey.isCompleted` (boolean, required)
    Gets a value indicating whether the survey is completed

  - `relatedData` (object, required)
    Gets the related data

  - `relatedData.films` (array, required)
    Gets the list of survey related film entities

  - `relatedData.films.id` (string, required)

  - `relatedData.films.title` (object, required)
    Represents some customer-visible translatable Text in the default language, and a list of translation entities

  - `relatedData.films.externalIds` (object, required)
    Represents the external identifiers linked to a film

  - `relatedData.films.externalIds.moviexchangeReleaseId` (string)
    Gets the unique identifier of the linked movieXchange film release entity

  - `relatedData.films.externalIds.corporateId` (string)
    Gets the unique corporate identifier

## Response 400:

  - `400` (unknown)
    Surveys are not enabled or not applicable for this order.

## Response 404:

  - `404` (unknown)
    Order does not exist, or the survey is not yet available or has expired.

